Subject: Re: email oid

From: Russ Housley <[email-masked]>
Date: Fri, 30 Oct 1998 13:35:10 -0500

Sandi:

"Remain" is the issue.  It is not in PKIX part 1!

Russ

At 11:53 AM 10/30/98 -0500, Miklos, Sue A. wrote:
>All, 
>In the specifications for the schema for an international defense
>system, we have chosen rfc822Mailbox, {0 9 2342 19200300 100 1 3}
>registered
>in RFC 1274. This attribute was also called mail in one Internet Draft.
>I would like to request that this remain in whatever documentation you
>develop.
>
>Thanks,
>Sandi Miklos
>>
>>
>>----------
>>From: 	Wang, John[SMTP:[email-masked]]
>>Sent: 	Thursday, October 29, 1998 9:17 AM
>>To: 	'Robert Klerer'; [email-masked]
>>Subject: 	RE: email oid
>>
>>It was my understanding that the RSA-pkcs-9 email address OID
>>(1.2.840.113549.1.9.1) was the more commonly used OID. I don't
>>think you can remove the RSA oid but perhaps add the RFC1274 oid
>>if there is a demand for it.
>>
>>-----Original Message-----
>>From: Robert Klerer [mailto:[email-masked]]
>>Sent: Thursday, October 29, 1998 8:19 AM
>>To: [email-masked]
>>Subject: email oid
>>
>>
>>The other day in trying to accommodate a legacy pki, I ran into a problem
>>with an oid specified in draft-ietf-pkix-ipki-part1-11.  The ASN.1 specifies
>>that the oid used for an email address in the distinguished name is
>>1.2.840.113549.1.9.1, which refers to a RSA-pkcs-9 email address.  I and
>>others have been using 0.9.2342.19200300.100.1.3 which is for internet mail
>>as specified in RFC1274.
>>
>>Since I believe that the intention is for both of these oids are meant to
>>represent attributes that hold the same information, this discrepancy may
>>cause confusion and failures in the future.  My suggestion would be to
>>change part1 to refer to the more commonly used OID.
>>
>>
>>
>>
>>